      subroutine savet(ncenters,ncdfunctions,nxcfunctions,
     &                 nmaxcontractions,ncontractions,coord,cdfitc,
     &                 xcfita,xcfitb,xcfite,coeffa,coeffb)

c  this subroutine written by alain st-amant of the
c  department of chemistry, university of ottawa, ottawa, canada.
c  all rights reserved.  this is part of the DeFT project.

      implicit real*8(a-h,o-z)

      dimension coord(3,*),cdfitc(*),xcfita(*),xcfitb(*),xcfite(*)
      dimension coeffa(nmaxcontractions,*),coeffb(nmaxcontractions,*)

      rewind 1
      rewind 2

      call fastrd(1,coord,3*ncenters)
      call fastwr(2,coord,3*ncenters)

      call fastrd(1,cdfitc,ncdfunctions)
      call fastwr(2,cdfitc,ncdfunctions)

      call fastrd(1,xcfita,nxcfunctions)
      call fastrd(1,xcfitb,nxcfunctions)
      call fastrd(1,xcfite,nxcfunctions)
      call fastwr(2,xcfita,nxcfunctions)
      call fastwr(2,xcfitb,nxcfunctions)
      call fastwr(2,xcfite,nxcfunctions)

      do 1001 i=1,ncontractions
      call fastrd(1,coeffa(1,i),ncontractions)
 1001 call fastwr(2,coeffa(1,i),ncontractions)

      do 1002 i=1,ncontractions
      call fastrd(1,coeffb(1,i),ncontractions)
 1002 call fastwr(2,coeffb(1,i),ncontractions)

      return
      end
